
Libprelude - Bug #373

could not resolve 127.0.0.1: Address family for hostname not supported

03/23/2010 04:07 PM - Pierre Chifflier

Status: Closed Start date: 03/23/2010

Priority: Normal Due date:  

Assignee: Francois POIROTTE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When booting on a host without any IP address (/etc/resolv.conf is empty):

# prelude-admin register prelude-lml "idmef:w" 127.0.0.1 --uid 0 --gid 0 --passwd secret

could not resolve 127.0.0.1: Address family for hostname not supported

 

My guess: prelude-admin is trying to resolv 127.0.0.1 (which causes the error), while it could take it directly as an ip address

libprelude 1.0.0

History

#1 - 11/18/2010 09:33 AM - Pierre Chifflier

I found the solution (not the entire explanation of the problem): it was caused by IPv6

Setting

sysctl -w net.ipv6.conf.all.disable_ipv6=1

 

During the boot sequence solves the problem.

The bug is not related to Prelude, so feel free to close it.

#2 - 02/08/2012 08:24 PM - Francois POIROTTE

- Status changed from New to Assigned

- Assignee set to Francois POIROTTE

Je pense qu'il faut jeter un coup d'

#3 - 05/29/2016 04:47 PM - Thomas ANDREJAK

- Status changed from Assigned to Closed
Issue on client side.
